/*
 * ----------------------------------------------------------------------
 * WARNING: THIS IS A BETA RELEASE OF LAM/MPI.  USERS ARE ADVISED TO USE
 * IT AT THEIR OWN RISK.  SEE THE MAIN WEB SITE
 * (http://www.mpi.nd.edu/lam/) FOR STABLE VERSIONS OF LAM/MPI.
 * ----------------------------------------------------------------------
 * 
 * Copyright 1998-2000, University of Notre Dame.
 * Authors: Jeffrey M. Squyres with Kinis L. Meyer, M. D. McNally,
 *          and Andrew Lumsdaine
 * 
 * This file is part of the BETA RELEASE of the Notre Dame LAM
 * implementation of MPI.
 * 
 * You should have received a copy of the License Agreement for the Notre
 * Dame LAM implementation of MPI along with the software; see the file
 * LICENSE.  If not, contact Office of Research, University of Notre
 * Dame, Notre Dame, IN 46556.
 * 
 * Permission to modify the code and to distribute modified code is
 * granted, provided the text of this NOTICE is retained, a notice that
 * the code was modified is included with the above COPYRIGHT NOTICE and
 * with the COPYRIGHT NOTICE in the LICENSE file, and that the LICENSE
 * file is distributed with the modified code.
 * 
 * LICENSOR MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED.
 * By way of example, but not limitation, Licensor MAKES NO
 * REPRESENTATIONS OR WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY
 * PARTICULAR PURPOSE OR THAT THE USE OF THE LICENSED SOFTWARE COMPONENTS
 * OR DOCUMENTATION WILL NOT INFRINGE ANY PATENTS, COPYRIGHTS, TRADEMARKS
 * OR OTHER RIGHTS.
 * 
 * Additional copyrights may follow.
 * 
 *
 *	$Id: events.h,v 6.5 2000/03/28 13:21:52 lamteam Exp $
 *
 *	Function:	- system events
 */

#ifndef _EVENTS
#define _EVENTS

#ifndef	NOTEVENT
#define	NOTEVENT	0x80000001
#endif

/*
 * server events
 */
#define EVROUTER	0x80000002
#define EVBOOTD		0x80000003
#define EVDLOINIT	0x80000004
#define EVDLI		0x80000005
#define EVFILED		0x80000006
#define EVLOADD		0x80000007
#define EVBFORWARD	0x80000008
#define EVKENYAD	0x80000009
#define EVIOD		0x8000000A
#define EVECHOD		0x8000000B
#define EVBUFFERD	0x8000000C
#define EVFLATD		0x8000000D
#define EVTRACED	0x8000000E
#define EVHALTD		0x8000000F

/*
 * special local layer events
 */
#define EVPAUSE		0x80000010
#define EVSTOP		0x80000011
#define EVDL0		0x80000012

/*
 * optional tools
 */
#define EVIPCDIAG	0x80000020
#define EVIMPID		0x80000021
#define EVIMPID_REPLY	0x80000022

#endif
